echo off

echo glclock benchmark test.
start /wait glclock -B -foutgl bench.log

echo 1. double buffers
echo 1. double buffers            >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -ti "1. double buffers" -fo bench.log
echo 2. single buffer
echo 2. single buffer             >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -S -ti "2. single buffer" -fo bench.log

echo 3. environment mapping  double buffers
echo 3. environment mapping  double buffers  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -N -ti "3. environment mapping  double buffers" -fo bench.log
echo 4. environment mapping  single buffer
echo 4. environment mapping  single buffer >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -N -S -ti "4. environment mapping  single buffer" -fo bench.log

echo 5. bi-linear  environment mapping  double buffers
echo 5. bi-linear  environment mapping  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -L -ti "5. bi-linear  environment mapping  double buffers" -fo bench.log
echo 6. bi-linear  environment mapping  single buffer
echo 6. bi-linear  environment mapping  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -L -S -ti "6. bi-linear  environment mapping  single buffer" -fo bench.log

echo 7. tri-linear  environment mapping  double buffers
echo 7. tri-linear  environment mapping  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -ti "7. tri-linear  environment mapping  double buffers" -fo bench.log
echo 8. tri-linear  environment mapping  single buffer
echo 8. tri-linear  environment mapping  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -e 1 -S -ti "8. tri-linear  environment mapping  single buffer" -fo bench.log

echo 9. tri-linear  shading texture  double buffers
echo 9. tri-linear  shading texture  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -s 2 -ti "9. tri-linear  shading texture  double buffers" -fo bench.log
echo 10. tri-linear  shading texture  single buffer
echo 10. tri-linear  shading texture  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -s 2 -S -ti "10. tri-linear  shading texture  single buffer" -fo bench.log

echo 11. tri-linear  transparency texture  double buffers
echo 11. tri-linear  transparency texture  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -C -ti "11. tri-linear  transparency texture  double buffers" -fo bench.log
echo 12. tri-linear  transparency texture  single buffer
echo 12. tri-linear  transparency texture  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -C -S -ti "12. tri-linear  transparency texture  single buffer" -fo bench.log

echo 13. tri-linear  transparency texture  with over sampling  double buffers
echo 13. tri-linear  transparency texture  with over sampling  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -C -q 1 -bg 4 -m 5 -ti "13. tri-linear  transparency texture  with over sampling  double buffers" -fo bench.log
echo 14. tri-linear  transparency texture  with over sampling  single buffer
echo 14. tri-linear  transparency texture  with over sampling  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -C -q 1 -bg 4 -m 5 -S -ti "14. tri-linear  transparency texture  with over sampling  single buffer" -fo bench.log

echo 15. tri-linear  shading texture  transparency texture  double buffers
echo 15. tri-linear  shading texture  transparency texture  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -r 2 -sf marble -ti "15. tri-linear  shading texture  transparency texture  double buffers" -fo bench.log
echo 16. tri-linear  shading texture  transparency texture  single buffer
echo 16. tri-linear  shading texture  transparency texture  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -r 2 -sf marble -S -ti "16. tri-linear  shading texture  transparency texture  single buffer" -fo bench.log

echo 17. tri-linear  shading texture  transparency texture  high quality clock  double buffers
echo 17. tri-linear  shading texture  transparency texture  high quality clock  double buffers >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -r 2 -sf marble -q 8 -ti "17. tri-linear  shading texture  transparency texture  high quality clock  double buffers" -fo bench.log
echo 18. tri-linear  shading texture  transparency texture  high quality clock  single buffer
echo 18. tri-linear  shading texture  transparency texture  high quality clock  single buffer  >> bench.log
start /wait glclock -B -NOM -xp 0 -yp 0 -w 320 -h 320 -r 2 -sf marble -q 8 -S -ti "18. tri-linear  shading texture  transparency texture  high quality clock  single buffer" -fo bench.log

echo on
